main.h File Reference

Go to the source code of this file.

## Functions

int | frobbyMain (int argc, const char **argv)
| This function runs the Frobby console interface.
int | main (int argc, const char **argv)
| This function is the entry point for Frobby as a console program.

## Variables

static const int | ExitCodeSuccess = 0
static const int | ExitCodeError = 1
static const int | ExitCodeInternalError = 2
static const int | ExitCodeOutOfMemory = 3
static const int | ExitCodeUnknownError = 4

## Function Documentation

## frobbyMain()

int frobbyMain | ( | int | argc,
|  | const char ** | argv )

This function runs the Frobby console interface.

the main function calls this function after having set up DEBUG-specific things, catching exceptions, setting the random seed and so on.

Definition at line 35 of file main.cpp.

## main()

int main | ( | int | argc,
|  | const char ** | argv )

This function is the entry point for Frobby as a console program.

It does some DEBUG-specific things, sets the random seed and so on before calling frobbyMain.

Definition at line 67 of file main.cpp.

## Variable Documentation

## ExitCodeError

const int ExitCodeError = 1

static

Definition at line 36 of file main.h.

## ExitCodeInternalError

const int ExitCodeInternalError = 2

static

Definition at line 40 of file main.h.

## ExitCodeOutOfMemory

const int ExitCodeOutOfMemory = 3

static

Definition at line 43 of file main.h.

## ExitCodeSuccess

const int ExitCodeSuccess = 0

static

Definition at line 33 of file main.h.

## ExitCodeUnknownError

const int ExitCodeUnknownError = 4

static

Definition at line 46 of file main.h.